.\" ====================================================================
.\"  @Troff-man-file{
.\"     author          = "Nelson H. F. Beebe",
.\"     version         = "1.01",
.\"     date            = "26 November 1995",
.\"     time            = "08:17:00 MST",
.\"     filename        = "html-check.man",
.\"     address         = "Center for Scientific Computing
.\"                        Department of Mathematics
.\"                        University of Utah
.\"                        Salt Lake City, UT 84112
.\"                        USA",
.\"     telephone       = "+1 801 581 5254",
.\"     FAX             = "+1 801 581 4148",
.\"     checksum        = "18740 116 560 4402",
.\"     email           = "beebe@math.utah.edu (Internet)",
.\"     codetable       = "ISO/ASCII",
.\"     keywords        = "HTML, parser, SGML, syntax analyzer,
.\"                        validater, WWW",
.\"     supported       = "yes",
.\"     abstract        = "This file is the UNIX manual page for
.\"                        html-check, a simple interface to sgmls,
.\"                        a validating SGML parser.",
.\"     docstring       = "The checksum field above contains a CRC-16
.\"                        checksum as the first value, followed by the
.\"                        equivalent of the standard UNIX wc (word
.\"                        count) utility output of lines, words, and
.\"                        characters.  This is produced by Robert
.\"                        Solovay's checksum utility.",
.\"  }
.\" ====================================================================
.TH HTML-CHECK 1 "20 November 1995" "Version 1.00"
.\"======================================================================
.SH NAME
html-check \- check HTML files for grammar conformance
.\"======================================================================
.SH SYNOPSIS
.B html-check
file(s)
.\"======================================================================
.SH DESCRIPTION
.B html-check
is a convenient interface to
.BR sgmls (1),
a validating parser for SGML files.  It conceals the details of
providing the HTML grammar files needed by the parser.
.PP
It is a good idea to run
.B html-check
on any HTML files that you plan to place on the WorldWideWeb, to
ensure that they conform to the HTML grammar.
.PP
Here is an outline of what a minimal grammar-conforming file
looks like:
.nf
<!DOCTYPE HTML PUBLIC "-//IETF//DTD HTML//EN">
<HTML>
    <HEAD>
        <TITLE>
            <!-- Please supply a descriptive title here -->
        </TITLE>
        <!-- Please supply a correct e-mail address here -->
        <LINK REV="made" HREF="mailto:USERNAME@HOSTNAME">
    </HEAD>
    <BODY>
    </BODY>
</HTML>
.fi
The two comments <!-- .\|.\|. --> indicate things you must supply.
Most of the content of a real HTML file will reside between <BODY>
and </BODY>.
.PP
If you get massive numbers of error messages from
.BR html-check ,
make sure that you have a valid DOCTYPE declaration line at the
beginning of each HTML file.  That line is essential, because it tells
the SGML parser what grammar file to use.
.PP
Most current documents on the WorldWideWeb should conform to HTML 2.0,
for which the above DOCTYPE declaration is appropriate.  If you
require newer features of HTML 3.0, then the DOCTYPE line should look
like this:
.nf
<!DOCTYPE HTML PUBLIC "-//IETF//DTD HTML 3.0//EN" >
.fi
Remember that there are many different WWW client browsers on the
Internet, and your HTML files should be readily usable by all of them
if you want your material to be used by others; thus, you should
always try to avoid use of extensions offered by particular browsers.
If
.B html-check
produces no output at all, then you can be confident that your files
adhere to the HTML grammars.
.\"======================================================================
.SH "SEE ALSO"
.BR htmlchek (1),
.BR html-ncheck (1),
.BR html-pretty (1),
.BR nsgmls (1),
.BR sgmls (1),
.BR spam (1),
.BR spent (1),
.\"======================================================================
.SH AUTHOR
.nf
Nelson H. F. Beebe, Ph.D.
Center for Scientific Computing
Department of Mathematics
University of Utah
Salt Lake City, UT 84112
Tel: +1 801 581 5254
FAX: +1 801 581 4148
Email: <beebe@math.utah.edu>
WWW URL: http://www.math.utah.edu/~beebe
.fi
.\"==============================[The End]==============================
